
QGIS Application - Bug report #8285

Saving styles (qml and sld) doesn't work for CSV layers under Windows

2013-07-12 10:54 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17085

Description

When trying to save a style, nothing happens. No crash, but also nothing saved.

When trying to save as 'sld' format, gives error:

"ERROR: failed to create sld file as . Check file permissions and retry."

Works fine under Linux.

Related issues:

Duplicated by QGIS Application - Bug report # 12859: Qgis layer style file no... Closed 2015-06-02

Associated revisions

Revision 02e92727 - 2015-12-28 02:14 AM - Sebastian Dietrich 

fix saving style of CSV-layer to qml/sld file (fixes #8285)

Revision b7378502 - 2015-12-29 12:45 AM - Jürgen Fischer

Merge pull request #2620 from SebDieBln/FixCsvSaveStyle

Fix saving style of CSV-layer to qml/sld file (fixes #8285)

History

#1 - 2014-03-10 12:45 PM - Simon Dedman

- Target version set to Version 2.2

Recent update to 2.2 & 2.3 both feature this bug, running as user or administrator, on windows 7, saving to standard documents directory which QGis

saves everything else to.

#2 - 2014-06-12 04:30 PM - Giovanni Manghi

- Target version deleted (Version 2.2)

still true on latest master.
#3 - 2014-06-20 05:53 AM - Giovanni Manghi

- Target version set to Version 2.4

#4 - 2014-06-28 07:45 AM - Jürgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#5 - 2014-10-04 09:54 AM - Alexander Bruy

Still true

#6 - 2014-11-12 09:35 AM - David James

Still true in 2.6 Brighton (for CSV layers using WIndows 7 64-bit version).

#7 - 2015-07-16 02:37 AM - paull -

Still true in 2.8.1 Vienna for CSV-Layers (Saving from spatiallite-Layer seems to work fine)

#8 - 2015-07-27 04:48 AM - Toni Keskitalo

Bug is also present in QGIS 2.10.1 PISA, installed via the 64-bit OSGEO4W installer.

#9 - 2015-09-09 07:12 PM - Nathan Campbell

Present in QGIS 2.10.1 under Windows 10

#10 - 2015-12-15 03:59 PM - Laurence Bechet 

Still open with Windows7 pro 64bits, v2.12.1-Lyon commit:16760fd

Quite annoying especially now that we have nice sophisticated styles that you think you saved but too bad, no ...

#11 - 2015-12-19 02:19 PM - Giovanni Manghi

see also #12859

#12 - 2015-12-28 03:29 PM - Sebastian Dietrich

See PR 2620 for a solution.

#13 - 2015-12-28 03:46 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"b73785023b408cd5a989c445548e2fa0bb2b9647".
https://github.com/qgis/QGIS/pull/2620
